/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package com.peetz.tradingcards.dal;

import com.peetz.tradingcards.entity.BaseSetEntity;
import com.peetz.tradingcards.entity.ManufacturerEntity;
import java.util.List;
import javax.ejb.Local;

/**
 *
 * @author tpeetz
 */
@Local
public interface ManufacturerDao {
	public ManufacturerEntity getById(Long id);
	
	public List<ManufacturerEntity> findByIds(List<Long> ids);
	
	public List<ManufacturerEntity> findByName(String name);
	
	public ManufacturerEntity assignBaseSet(ManufacturerEntity comic, BaseSetEntity baseSet);
	
	public ManufacturerEntity store(ManufacturerEntity entity);
	
	public void delete(ManufacturerEntity entity);
}
